#ifndef LSTORE_PAGES_PAGERANGES_H
#define LSTORE_PAGES_PAGERANGES_H

#include <vector>

#include "Base/types.h"
#include "Pages/Page.h"

namespace lstore {

constexpr rid kBaseRangeSize = 8192;

constexpr rid kInsertRangeSize = kBaseRangeSize * 8;

using PageRange = std::vector<std::vector<Page>>;

} // namespace lstore

#endif // LSTORE_PAGES_PAGERANGES_H
