#ifndef LSTORE_QUERIES_DELETEQUERY_H
#define LSTORE_QUERIES_DELETEQUERY_H

#include "Core/Value.h"
#include "Queries/Query.h"

namespace lstore {

class DeleteQuery : public Query {
 public:
  DeleteQuery(oid table_id, Storage& storage, Value key);

  virtual ResultSet execute() override;

  virtual ~DeleteQuery() {}

 protected:
  Value key_;
};

} // namespace lstore

#endif // LSTORE_QUERIES_DELETEQUERY_H
