#ifndef LSTORE_QUERIES_INSERTQUERY_H
#define LSTORE_QUERIES_INSERTQUERY_H

#include "Core/Value.h"
#include "Queries/Query.h"

namespace lstore {

class InsertQuery : public Query {
 public:
  InsertQuery(oid table_id, Storage& storage, Row row);

  virtual ResultSet execute() override;

  virtual ~InsertQuery() {}

 protected:
  Row row_;
};

} // namespace lstore

#endif // LSTORE_QUERIES_INSERTQUERY_H
