#include "Queries/UpdateQuery.h"

namespace lstore {

UpdateQuery::UpdateQuery(oid table_id, Storage& storage, uint column_number,
                        Value key, Value new_value)
    : Query(table_id, storage), column_number_(column_number), key_(key),
      new_value_(new_value)
{}

ResultSet UpdateQuery::execute() {
  return storage_.update(table_id_, key_, column_number_, new_value_);
}

} // namespace lstore
