#ifndef LSTORE_BASE_TYPES_H
#define LSTORE_BASE_TYPES_H

#include <cstddef>
#include <cstdint>

namespace lstore {

  using uint8 = uint8_t;
  using uint16 = uint16_t;
  using uint32 = uint32_t;
  using uint64 = uint64_t;

  using int8 = int8_t;
  using int16 = int16_t;
  using int32 = int32_t;
  using int64 = int64_t;

  using usize = std::size_t;

  /**
   * Object id.
   */
  using oid = uint32;

  /**
   * Record id.
   */
  using rid = uint64;

  /**
   * Transaction id.
   */
  using xid = uint64;

} // namespace lstore

#endif // LSTORE_BASE_TYPES_H
