#include "Catalog/File.h"

namespace lstore {

File::File(const std::string& name, oid id)
    : name_(name), id_(id) {}

void from_json(const json& j, File& f) {
  j.at("name").get_to(f.name_);
  j.at("id").get_to(f.id_);
}

void to_json(json& j, File& f) {
  j["name"] = f.name_;
  j["id"] = f.id_;
}

} // namespace lstore
