#ifndef LSTORE_CORE_DBCONTEXT_H
#define LSTORE_CORE_DBCONTEXT_H

#include "Catalog/Catalog.h"

namespace lstore {

class DbContext {
 public:
  DbContext() = default;

  DbContext(const DbContext&) = delete;
  DbContext& operator=(const DbContext&) = delete;
  DbContext(DbContext&&) = delete;
  DbContext& operator=(DbContext&&) = delete;

  Catalog& getCatalog() { return catalog_; }

 private:
  Catalog catalog_;
};

} // namespace lstore

#endif // LSTORE_CORE_DBCONTEXT_H
