#ifndef LSTORE_DATATYPES_ISERIALIZATION_H
#define LSTORE_DATATYPES_ISERIALIZATION_H

#include "Base/types.h"
#include "Core/Value.h"

namespace lstore {

class ISerialization {
 public:
  ISerialization() = default;
  virtual ~ISerialization() = default;

  virtual void serialize(uint8* dest, Value val) = 0;

  virtual Value deserialize(uint8* src, usize len) = 0;
};

} // namespace lstore

#endif // LSTORE_DATATYPES_ISERIALIZATION_H
