#include "Pages/PageManager.h"

namespace lstore {

PageManager::TableRanges::TableRanges(TablePtr& table)
    : insert_range(table, rid_seq) {

}

void PageManager::loadTable(TablePtr& table) {
  auto ranges_ptr = std::make_shared<TableRanges>(table);
  auto pair = std::make_pair(table->getId(), ranges_ptr);
  ranges_.emplace(pair);

}

} // namespace lstore
