#ifndef LSTORE_PAGES_VALUELOC_H
#define LSTORE_PAGES_VALUELOC_H

#include "Base/types.h"

namespace lstore {

/**
 * Value location
 */
struct ValueLoc {
  uint64 len;
  uint32 page_number;
  uint32 offset;

  ValueLoc(rid id, usize type_len);

  ValueLoc(const ValueLoc&) = default;
  ValueLoc& operator=(const ValueLoc&) = default;
  ValueLoc(ValueLoc&&) = default;
  ValueLoc& operator=(ValueLoc&&) = default;
};

} // namespace lstore

#endif // LSTORE_PAGES_VALUELOC_H
