#include "Queries/DeleteQuery.h"

namespace lstore {

DeleteQuery::DeleteQuery(oid table_id, Storage& storage, Value key)
    : Query(table_id, storage), key_(key)
{}

ResultSet DeleteQuery::execute() {
  return storage_.del(table_id_, key_);
}

} // namespace lstore
