#include "Queries/InsertQuery.h"

namespace lstore {

InsertQuery::InsertQuery(oid table_id, Storage& storage, Row row)
    : Query(table_id, storage), row_(std::move(row))
{}

ResultSet InsertQuery::execute() {
  return storage_.insert(table_id_, row_);
}

} // namespace lstore
