#ifndef LSTORE_QUERIES_UPDATEQUERY_H
#define LSTORE_QUERIES_UPDATEQUERY_H

#include "Core/Value.h"
#include "Queries/Query.h"

namespace lstore {

class UpdateQuery : public Query {
 public:
  UpdateQuery(oid table_id, Storage& storage, uint column_number, Value key,
              Value new_value);

  virtual ResultSet execute() override;

  virtual ~UpdateQuery() {}

 protected:
  uint32 column_number_;
  Value key_;
  Value new_value_;
};

} // namespace lstore

#endif // LSTORE_QUERIES_UPDATEQUERY_H
